/// The full box type list.
///
/// The defined full box type list is from [ISO/IEC 14496-12:2015(E)](https://www.iso.org/standard/83102.html)
/// or, see [Github](https://github.com/CaiJingLong/knowledge/blob/main/filetype/w15177_14496-12_5th.-restyle-R5.doc)
const List<String> fullBoxType = [
  'pdin',
  'mvhd',
  'tkhd',
  'mdhd',
  'hdlr',
  'elng',
  'stdp',
  'ctts',
  'cslg',
  'stss',
  'stsh',
  'sdtp',
  'elst',
  'url',
  'urn',
  'dref',
  'stsz',
  'stz2',
  'stsc',
  'stco',
  'co64',
  'padb',
  'subs',
  'saiz',
  'saio',
  'mehd',
  'trex',
  'mfhd',
  'tfhd',
  'trun',
  'tfra',
  'mfro',
  'tfdt',
  'leva',
  'trep',
  'assp',
  'sbgp',
  'cprt',
  'tsel',
  'kind',
  'meta',
  'xml',
  'bxml',
  'iloc',
  'pitm',
  'ipro',
  'infe',
  'iinf',
  'iref',
  'stri',
  'stsg',
  'stvi',
  'sidx',
  'ssix',
  'prft',
  'srpp',
  'vmhd',
  'smhd',
  'srat',
  'chnl',
  'dmix',
  'uri',
  'uriI',
  'hmhd',
];

/// The full box type list. Just invlid, not document define.
final simpleTypes = [
  'meta',
  'iloc',
];
